Subject: Re: [OPSAWG] Network Telemetry Framework - new updates and request for adoption

From: Tianran Zhou <[email-masked]>
Date: Fri, 8 Mar 2019 12:20:42 +0000

Hi Tom,

Here comes the clue :-)
https://datatracker.ietf.org/doc/draft-song-opsawg-ntf/

Cheers,
Tianran

-----邮件原件-----
发件人: tom petch [mailto:[email-masked]] 
发送时间: 2019年3月8日 20:00
收件人: Haoyu song <[email-masked]>; [email-masked]; [email-masked]
主题: Re: [OPSAWG] Network Telemetry Framework - new updates and request for adoption

----- Original Message -----
From: "Haoyu song" <[email-masked]>
Sent: Thursday, March 07, 2019 5:31 PM

Dear OPSAWG members,

We have update the Network Telemetry Framework draft significantly in the latest revision to address the issues and concerns raised in previous meetings and supplement some new material.

<tp>

I have read your e-mail (three times) and I cannot see any name for this I-D anywhere, e.g. something that starts

draft-

And given that we are in the hurricane season, when I-Ds flood out without any rate-limiting, I am not going to go looking for it without some clue:-)

Tom Petch

The major updates are:

1.     To address the concern that some techniques might go obsolete, we
move all the introductions of the related techniques to the appendix. We believe the survey is useful for the community and the appendix can be maintained to be up to date.

2.     We articulate why we need to partition the telemetry into
different network planes through more discussions and tabulated comparisons. We highlight that due to the difference of the data sources and objects, the required technique can be very different. There's no on-size-fit-all solution. Our partition can show a much clearer picture and help network operator to understand the full domain.

3.     To resolve the relationship between network telemetry and
conventional network OAM, we introduce another framework dimension to classify the telemetry technologies: data acquiring mechanism. It clearly show that conventional OAM techniques can be a part of telemetry in some cases but network telemetry covers much more.

4.     We add text address the security issues of network telemetry

5.     We add text to show the evolving stages of network telemetry

There are numerous minus updates throughout the draft.

In the past one year, we have done seven major revisions and we believe it's now mature enough for a call for adoption and we believe OPSAWG is the right WG to host it.
We therefore request the adoption of the draft by OPSAWG.

Network telemetry is a critical area for network operation not only for today but also for tomorrow. IETF needs such an "informational" document to articulate the concept, share common understandings, and summarize the best industry practice. We have communicated this work with numerous network operators and they all think this is eye-opening and help them learn the state-of-art and clarify some misunderstandings about network telemetry.

We believe it's time to engage the entire WG to keep improving the work, to cover an important technical area in IETF, and to make positive contributions to the industry.

We urge the WG members and anyone who is interested in this work to read this draft and provide your valuable and constructive suggestions for further improvement. We'll surely address them in future revisions.
Network telemetry is an exciting technology and a big thing in networks so let's start to tackle it. You support is important, please don't hesitate to voice it. Thank you very much!

Best regards,
Haoyu

------------------------------------------------------------------------
--------

> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg
>